#ifndef __sys_float_h__
#define __sys_float_h__

#ifndef __errno_h__
#include <errno.h>
#endif

struct _stol {
    int_ n;
    char *tail;
};

struct _stoh {
    unsigned int_ n;
    char *tail;
};

struct _stoo {
    unsigned int_ n;
    char *tail;
};

struct _stob {
    unsigned int_ n;
    char *tail;
};

struct _val {
    double n;
    short flag;
    int_ in;
    char *tail;
};

struct _stod {
    double n;
    short flag;
    int_ in;
    char *tail;
};

struct _ecvt {
    int_ pos;
    int_ sign;
};

struct _fcvt {
    int_ pos;
    int_ sign;
};

struct _gcvt {
    int_ pos;
    int_ sign;
    char *tail;
};

struct _fval {
    float n;
    short flag;
    int_ in;
    char *tail;
};

struct _stof {
    float n;
    short flag;
    int_ in;
    char *tail;
};

struct _fecvt {
    int_ pos;
    int_ sign;
};

struct _ffcvt {
    int_ pos;
    int_ sign;
};

struct _fgcvt {
    int_ pos;
    int_ sign;
    char *tail;
};

struct _ffrexp {
    float nfrac;
    int_ exp;
};

struct _fevarg {
    int_ form;
    int_ pkg;
};

#ifdef __FLOAT_INLINE__
#ifndef __sys_float_i_h__
#include <sys/float_i.h>
#endif
#else
#ifndef __sys_float_p_h__
#include <sys/float_p.h>
#endif
#endif

#endif
