#ifndef __sys_float_p_h__
#define __sys_float_p_h__

#ifdef __sys_float_i_h__
#error You lose. This file can't be used with <sys/float_i.h>.
#endif

#ifndef __GNUC__
#error You lose. These functions are only designed for GNU-C compiler.
#endif

#ifndef __cdecl_h__
#include <cdecl.h>
#endif

_EXTERN (void _float_randomize (int_));
_EXTERN (void _float_srand (int_));
_EXTERN (int_ _float_rand (void_));
_EXTERN (struct _stol _float_stol (const char *));
_EXTERN (char *_float_ltos (int_, char *));
_EXTERN (struct _stoh _float_stoh (const char *));
_EXTERN (char *_float_htos (unsigned int_, char *));
_EXTERN (struct _stoo _float_stoo (const char *));
_EXTERN (char *_float_otos (unsigned int_, char *));
_EXTERN (struct _stob _float_stob (const char *));
_EXTERN (char *_float_btos (unsigned int_, char *));
_EXTERN (char *_float_iusing (int_, int_, char *));
_EXTERN (struct _val _float_val (const char *));
_EXTERN (char *_float_using (double, int_, int_, int_, char *));

_EXTERN (struct _stod _float_stod (const char *));
_EXTERN (char *_float_dtos (double, char *));
_EXTERN (struct _ecvt _float_ecvt (double, char, char *));
_EXTERN (struct _fcvt _float_fcvt (double, char, char *));
_EXTERN (struct _gcvt _float_gcvt (double, char, char *));
_EXTERN (double _float_npi (double));
_EXTERN (double _float_rnd (void_));
_EXTERN (double _float_log2 (double));
_EXTERN (double __const _float_dieecnv (double));
_EXTERN (double __const _float_ieedcnv (double));

_EXTERN (struct _fval _float_fval (const char *));
_EXTERN (char *_float_fusing (float, int_, int_, int_, char *));
_EXTERN (struct _stof _float_stof (const char *));
_EXTERN (char *_float_ftos (float, char *));
_EXTERN (struct _fecvt _float_fecvt (float, char, char *));
_EXTERN (struct _ffcvt _float_ffcvt (float, char, char *));
_EXTERN (struct _fgcvt _float_fgcvt (float, char, char *));
_EXTERN (float __const _float_fabs (float));
_EXTERN (float __cnost _float_fceil (float));
_EXTERN (float __const _float_ffix (float));
_EXTERN (float __const _float_ffloor (float));
_EXTERN (float __const _float_ffrac (float));
_EXTERN (float __const _float_fsin (float));
_EXTERN (float __const _float_fcos (float));
_EXTERN (float _float_ftan (float));
_EXTERN (float __const _float_fatan (float));
_EXTERN (float _float_flog (float));
_EXTERN (float _float_fexp (float));
_EXTERN (float _float_fsqr (float));
_EXTERN (float __const _float_fpi (void_));
_EXTERN (float _float_fnpi (float));
_EXTERN (float _float_fpower (float, float));
_EXTERN (float _float_frnd (void_));
_EXTERN (float _float_fsinh (float));
_EXTERN (float _float_fcosh (float));
_EXTERN (float _float_ftanh (float));
_EXTERN (float _float_fatanh (float));
_EXTERN (float _float_fasin (float));
_EXTERN (float _float_facos (float));
_EXTERN (float _float_flog10 (float));
_EXTERN (float _float_flog2 (float));
_EXTERN (struct _ffrexp __const _float_ffrexp (float));
_EXTERN (float _float_fldrexp (float, int_));
_EXTERN (float __const _float_fieecnv (float));
_EXTERN (float __const _float_ieefcnv (float));

_EXTERN (struct _fevarg _float_fevarg (void_));
_EXTERN (void *_float_fevecs (int_, void *));

#endif
